Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# ReferenceRectangle Class Reference

`#include <Polygon.h>`

Inheritance diagram for ReferenceRectangle:

List of all members.

## Public Member Functions
| ReferenceRectangle (string subscript="")
virtual | ~ReferenceRectangle ()
virtual int | no_vertices ()
virtual GiNaC::ex | vertex (int i)
virtual Line | line (int i)
virtual GiNaC::ex | repr (Repr_format format=SUBS_PERFORMED)
virtual string | str ()
virtual GiNaC::ex | integrate (GiNaC::ex f)

## Detailed Description

Definition at line 129 of file Polygon.h.

## Constructor & Destructor Documentation

ReferenceRectangle::ReferenceRectangle | ( | string | subscript = `""` | ) |

| Definition at line 662 of file Polygon.cpp. References Polygon::p, and Polygon::subscript.
    00662                                                          {
    00663   subscript = subscript_;
    00664   GiNaC::ex x0 = GiNaC::lst(0,0,0);
    00665   GiNaC::ex x1 = GiNaC::lst(1,0,0);
    00666   GiNaC::ex x2 = GiNaC::lst(1,1,0);
    00667   GiNaC::ex x3 = GiNaC::lst(0,1,0);
    00668   p.insert(p.end(), x0);
    00669   p.insert(p.end(), x1);
    00670   p.insert(p.end(), x2);
    00671   p.insert(p.end(), x3);
    00672 }

virtual ReferenceRectangle::~ReferenceRectangle | ( |  | ) | `[inline, virtual]`

| Definition at line 132 of file Polygon.h.
    00132 {}

## Member Function Documentation

GiNaC::ex ReferenceRectangle::integrate | ( | GiNaC::ex | f | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 692 of file Polygon.cpp. References Rectangle::integrate(). Referenced by main().
    00692                                                    {
    00693   return Rectangle::integrate(func);
    00694 }

Line ReferenceRectangle::line | ( | int | i | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 680 of file Polygon.cpp. References Rectangle::line().
    00680                                     {
    00681   return Rectangle::line(i);
    00682 }

int ReferenceRectangle::no_vertices | ( |  | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 674 of file Polygon.cpp.
    00674 { return 4; }

GiNaC::ex ReferenceRectangle::repr | ( | Repr_format | format = `SUBS_PERFORMED` | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 684 of file Polygon.cpp. References Rectangle::repr(). Referenced by main().
    00684                                                     {
    00685   return Rectangle::repr(format);
    00686 }

string ReferenceRectangle::str | ( |  | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 688 of file Polygon.cpp.
    00688                                  {
    00689   return "ReferenceRectangle";
    00690 }

GiNaC::ex ReferenceRectangle::vertex | ( | int | i | ) | `[virtual]`

| Reimplemented from Rectangle. Definition at line 676 of file Polygon.cpp. References Polygon::p.
    00676                                           {
    00677   return p[i];
    00678 }

The documentation for this class was generated from the following files:

- Polygon.h
- Polygon.cpp